<%@Page Language="C#"%>
<%@ Import Namespace="System.IO" %>

<%
Hashtable table = new Hashtable();

table["name"] = "Richard";
table["age"] = "Old enough";

foreach( string key in table.Keys )
{
	Response.Write("<br>" + key );
}


// Using IDictionaryEnumerator

IDictionaryEnumerator e;

e= table.GetEnumerator();

while(e.MoveNext())
{
	Response.Write("<BR>Key:" + e.Key + 
                       " Value:" + e.Value );
}


%>

<p style="color:red" id=status EnableViewState=False runat=server />
